<?php

/*
Plugin Name: mLUMEN
Description: Automatyczne tagowanie treści wpisów przy użyciu Deskryptorów Biblioteki Narodowej (DBN) i e-usługi DESKRYPTOR. Integracja bloga/portalu z agregatorem treści (aplikacją mobilną mLUMEN) stworzonym przez Bibliotekę Narodową
Version: 1.0.0
Author: Biblioteka Narodowa
*/

// If this file is called directly, abort
if (!defined('WPINC')) {
    die;
}

// Currently plugin path
if (!defined('MLUMEN_PLUGIN_DIRNAME')) {
    define('MLUMEN_PLUGIN_DIRNAME', plugin_basename(__DIR__));
}

// Currently plugin url
if (!defined('MLUMEN_PLUGIN_URL')) {
	define('MLUMEN_PLUGIN_URL', plugin_dir_url( __FILE__ ));
}

// Currently plugin file
if (!defined('MLUMEN_PLUGIN_FILE')) {
    define('MLUMEN_PLUGIN_FILE', __FILE__);
}

// Currently plugin version
if (!defined('MLUMEN_VERSION')) {
    define('MLUMEN_VERSION', '1.0.0');
}

// Minimum PHP version
if (!defined('MLUMEN_MINIMUM_PHP_VERSION')) {
    define('MLUMEN_MINIMUM_PHP_VERSION', '7.2');
}

// Minimum Wordpress version
if (!defined('MLUMEN_MINIMUM_WP_VERSION')) {
    define('MLUMEN_MINIMUM_WP_VERSION', '5.5');
}

    require_once plugin_dir_path(__FILE__) . '/includes/config.php';
    require_once plugin_dir_path(__FILE__) . '/includes/class-options.php';
    require_once plugin_dir_path(__FILE__) . '/includes/class-api-blog.php';
    require_once plugin_dir_path(__FILE__) . '/includes/class-api-descriptor.php';
    require_once plugin_dir_path(__FILE__) . '/includes/class-descriptor-single-post.php';
    require_once plugin_dir_path(__FILE__) . '/includes/class-descriptor-bulk-posts.php';
    require_once plugin_dir_path(__FILE__) . '/includes/class-install-info.php';
    require_once plugin_dir_path(__FILE__) . '/includes/class-options-page.php';
    require_once plugin_dir_path(__FILE__) . '/includes/class-mlumen.php';

    /**
     * Begins execution of the plugin
     */
    new Mlumen();



